package com.xlht.xlhtproject;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class CorsConfig implements WebMvcConfigurer {

    @Override
    public void addCorsMappings(CorsRegistry registry) {
        // 添加映射路径，"/**"表示对所有的路径都进行跨域处理
        registry.addMapping("/**")
//                .allowedOrigins("*") // 允许所有域名跨域
                //新版本springboot 要用下面这个
                .allowedOriginPatterns("*")
                .allowedMethods("*") // 允许所有的HTTP方法（GET, POST, PUT, DELETE等）
                .allowedHeaders("*") // 允许所有的头部
                .allowCredentials(true) // 允许发送Cookie
                .maxAge(3600); // 预检请求的缓存时间，单位为秒
    }
}
