package com.xlht.xlhtproject.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.xlht.xlhtproject.respParse.bean.AjaxResult;
import com.xlht.xlhtproject.respParse.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.xlht.xlhtproject.domain.TTbXie;
import com.xlht.xlhtproject.service.ITTbXieService;

/**
 * 同步数据_组态_写数据Controller
 * 
 * @author slibra
 * @date 2024-09-19
 */
@RestController
@RequestMapping("/business/xie")
public class TTbXieController extends BaseController
{
    @Autowired
    private ITTbXieService tTbXieService;

    /**
     * 查询同步数据_组态_写数据列表
     */
    @GetMapping("/list")
    public TableDataInfo list(TTbXie tTbXie)
    {
        startPage();
        List<TTbXie> list = tTbXieService.selectTTbXieList(tTbXie);
        return getDataTable(list);
    }

    /**
     * 导出同步数据_组态_写数据列表
     */
    /*@PostMapping("/export")
    public void export(HttpServletResponse response, TTbXie tTbXie)
    {
        List<TTbXie> list = tTbXieService.selectTTbXieList(tTbXie);
        ExcelUtil<TTbXie> util = new ExcelUtil<TTbXie>(TTbXie.class);
        util.exportExcel(response, list, "同步数据_组态_写数据数据");
    }*/

    /**
     * 获取同步数据_组态_写数据详细信息
     */
    @GetMapping(value = "/{ID}")
    public AjaxResult getInfo(@PathVariable("ID") Long ID)
    {
        return success(tTbXieService.selectTTbXieByID(ID));
    }

    /**
     * 新增同步数据_组态_写数据
     */
    @PostMapping
    public AjaxResult add(@RequestBody TTbXie tTbXie)
    {
        return toAjax(tTbXieService.insertTTbXie(tTbXie));
    }

    /**
     * 修改同步数据_组态_写数据
     */
    @PutMapping
    public AjaxResult edit(@RequestBody TTbXie tTbXie)
    {
        return toAjax(tTbXieService.updateTTbXie(tTbXie));
    }

    /**
     * 删除同步数据_组态_写数据
     */
	@DeleteMapping("/{IDs}")
    public AjaxResult remove(@PathVariable Long[] IDs)
    {
        return toAjax(tTbXieService.deleteTTbXieByIDs(IDs));
    }
}
