package com.xlht.xlhtproject.controller;


import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xlht.xlhtproject.domain.TXlhtMedicineParam;
import com.xlht.xlhtproject.respParse.bean.AjaxResult;
import com.xlht.xlhtproject.respParse.page.TableDataInfo;
import com.xlht.xlhtproject.service.ITXlhtMedicineParamService;
import com.xlht.xlhtproject.utils.HttpStatus;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 智能投药参数设置Controller
 * 
 * @author slibra
 * @date 2024-09-09
 */
@RestController
@RequestMapping("/business/medicineParamSetting")
public class TXlhtMedicineParamController extends BaseController
{
    @Autowired
    private ITXlhtMedicineParamService xlhtMedicineParamService;

//    前端需要的接口

    /**
     * 修改智能投药参数设置(此方法不使用)
     *
     */
    @Deprecated
    @PutMapping
    public AjaxResult edit(@RequestBody TXlhtMedicineParam tXlhtMedicineParam)
    {
        return toAjax(xlhtMedicineParamService.updateTXlhtMedicineParam(tXlhtMedicineParam));
    }



    /**
     * 新增智能投药参数设置
     */
//    @PreAuthorize("@ss.hasPermi('business:param:add')")
//    @Log(title = "智能投药参数设置", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TXlhtMedicineParam tXlhtMedicineParam)
    {
        return toAjax(xlhtMedicineParamService.insertTXlhtMedicineParam(tXlhtMedicineParam));
    }


    /**
     * 获取智能投药参数设置详细信息的历史记录-统计使用
     */
    @GetMapping(value = "/getList")
    public AjaxResult getList(TXlhtMedicineParam tXlhtMedicineParam)
    {
        return success(xlhtMedicineParamService.selectTXlhtMedicineParamList(tXlhtMedicineParam));
    }


    /**
     * 获取智能投药参数设置详细信息的历史记录-分页获取
     */
    @GetMapping(value = "/pageList")
    public TableDataInfo pageList(TXlhtMedicineParam tXlhtMedicineParam)
    {
        PageHelper.startPage(tXlhtMedicineParam.getPageNum(), tXlhtMedicineParam.getPageSize());
        List<TXlhtMedicineParam> list = xlhtMedicineParamService.selectTXlhtMedicineParamList(tXlhtMedicineParam);
        TableDataInfo rspData = new TableDataInfo();
        rspData.setCode(HttpStatus.SUCCESS);
        rspData.setMsg("查询成功");
        rspData.setRows(list);
        rspData.setTotal(new PageInfo(list).getTotal());
        return rspData;
    }


    /**
     * 获取智能投药参数设置详细信息最新的一条数据
     */
    @GetMapping(value = "/getLatestRecord")
    public AjaxResult getLatestRecord()
    {
        return success(xlhtMedicineParamService.getLatestRecord());
    }



}
